@echo off
rem @(rem)build.bat	1.4 99\05\09
rem
rem Build and run a simple XML\RPC package, showing how XML documents
rem can be exchanged in basic request\response protocols.
rem
rem This requires a container within which to run servlets, which are a
rem Java Standard Extension.  One such container is included in the
rem "Java Servlet Developer Kit" (JSDK), available at no charge from
rem java.sun.com.  Many commercial web application servers include servlet
rem support; the Java Web Server is the original.
rem
rem   http://java.sun.com/products/servlet/index.html
rem
rem You will need to modify the JSDK_JAR variable below, and probably use
rem server-specific installation procedures.
rem
rem JDK 1.2 support is used only to build javadoc.
rem
@echo on

set JSDK_JAR=c:\jsdk2.0\lib\jsdk.jar
set JDK12_HOME=c:\jdk1.2.1




mkdir classes
%JDK12_HOME%\bin\javac -classpath ..\..\xml.jar;%JSDK_JAR%;%JAVA_HOME%\lib\classes.zip -d classes project\*.java
copy project\example.dtd classes\project
@echo "try 'runserver' (in one window)
@echo "then 'repeat', 'uppercase', 'bad' (in another)"
@echo off
rem
rem Use JDK 1.2 javadoc -- it handles overviews and package summaries,
rem also handles inner classes.
rem
@echo on
mkdir  apidoc
%JDK12_HOME%\bin\javadoc -classpath ..\..\xml.jar;%JSDK_JAR% -sourcepath . -d apidoc project
